Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.HTMLReader.TagAction

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLDocument.HTMLReader.TagAction

Direct Known Subclasses:
  HTMLDocument.HTMLReader.BlockAction, HTMLDocument.HTMLReader.CharacterAction, HTMLDocument.HTMLReader.HiddenAction, HTMLDocument.HTMLReader.IsindexAction, HTMLDocument.HTMLReader.SpecialAction

public class HTMLDocument.HTMLReader.TagAction
extends java.lang.Object

This is an action to be performed in response to parsing a tag. This allows customization of how each tag is handled and avoids a large switch statement.

Constructor Summary
`HTMLDocument.HTMLReader.TagAction()`

Method Summary
`void` | `end(HTML.Tag t)` Called when an end tag is seen for the type of tag this action was registered to.
`void` | `start(HTML.Tag t, MutableAttributeSet a)` Called when a start tag is seen for the type of tag this action was registered to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLDocument.HTMLReader.TagAction

    public HTMLDocument.HTMLReader.TagAction()

Method Detail

### start

    public void start(HTML.Tag t,
                      MutableAttributeSet a)

  Called when a start tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

### end

    public void end(HTML.Tag t)

  Called when an end tag is seen for the type of tag this action was registered to. The tag argument indicates the actual tag for those actions that are shared across many tags. By default this does nothing and completely ignores the tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.